io.agora.rtc

## Class UplinkNetworkInfo

- java.lang.Object
- - io.agora.rtc.UplinkNetworkInfo

-     public class UplinkNetworkInfo
      extends java.lang.Object

  Information about uplink network.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `videoEncoderTargetBitrateBps` The target bitrate for the video encoder in bits per second

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UplinkNetworkInfo()` Default constructor for UplinkNetworkInfo.
    `UplinkNetworkInfo(int videoEncoderTargetBitrateBps)` Constructs UplinkNetworkInfo with target bitrate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getVideoEncoderTargetBitrateBps()` Gets the target bitrate for the video encoder in bits per second.
    `void` | `setVideoEncoderTargetBitrateBps(int videoEncoderTargetBitrateBps)` Sets the target bitrate for the video encoder in bits per second.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### videoEncoderTargetBitrateBps

          private int videoEncoderTargetBitrateBps

      The target bitrate for the video encoder in bits per second

  - ### Constructor Detail

    - #### UplinkNetworkInfo

          public UplinkNetworkInfo()

      Default constructor for UplinkNetworkInfo.

    - #### UplinkNetworkInfo

          public UplinkNetworkInfo(int videoEncoderTargetBitrateBps)

      Constructs UplinkNetworkInfo with target bitrate.
      Parameters:
        `videoEncoderTargetBitrateBps` - The target bitrate for the video encoder in bits per second

  - ### Method Detail

    - #### getVideoEncoderTargetBitrateBps

          public int getVideoEncoderTargetBitrateBps()

      Gets the target bitrate for the video encoder in bits per second.
      Returns:
        The target bitrate for the video encoder in bits per second

    - #### setVideoEncoderTargetBitrateBps

          public void setVideoEncoderTargetBitrateBps(int videoEncoderTargetBitrateBps)

      Sets the target bitrate for the video encoder in bits per second.
      Parameters:
        `videoEncoderTargetBitrateBps` - The target bitrate for the video encoder in bits per second

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`